## ytree 1.64

=== Makefile ===
############################################################################
#
# $Header: /home/werner/ytree/RCS/Makefile,v 1.16 1998/07/26 21:21:13 werner Rel $
#
# Makefile fuer ytree
#
############################################################################

CC          = cc

#
# ADD_CFLAGS: Add -DVI_KEYS if you want vi-cursor-keys
#

ADD_CFLAGS  =  -O # -DVI_KEYS

LFLAGS	    = -s
BINDIR      = /usr/bin
MANDIR      = /usr/man/man1
MANEXT      = 1


# Uncomment the lines for your system

###########################
# LINUX with ncurses (testet with 4.1)
###########################
# If color doesn't work, comment out 
# the following line and recompile
COLOR       = -DCOLOR_SUPPORT
#CLOCK	    = -DCLOCK_SUPPORT
CFLAGS      = $(ADD_CFLAGS) $(COLOR) $(CLOCK)
LIBS        = -lncurses

###########################
# LINUX without ncurses
###########################
#CFLAGS     = -DTERMCAP $(ADD_CFLAGS)
#LIBS       = -lcurses -ltermcap

###########################
# FreeBSD with ncurses  (Thanks to Peter Brevik)
###########################
#ADD_INCLUDE = /usr/include/ncurses
#ADD_LIB     = /usr/lib
#CFLAGS      = -I$(ADD_INCLUDE) -DNCURSES $(ADD_CFLAGS)
#LIBS        = -L$(ADD_LIB) -lncurses -lmytinfo -lcompat

###########################
# NeXT (Thanks to fifi)
###########################
#CFLAGS     = -DTERMCAP $(ADD_CFLAGS)
#LIBS       = -lcurses -ltermcap

############################
# UNIX SVR3 (or SCO3.2v4.2)
############################
#CFLAGS     = -DSVR3 $(ADD_CFLAGS)
#LIBS       = -lcurses -lPW # -lc_s

###########################
# Interactive
###########################
#CFLAGS     = -DSVR3 -Disc386 $(ADD_CFLAGS)
#LIBS       = -lcurses -lPW

###########################
# UNIX SVR4
###########################
#CFLAGS     = -DSVR4 $(ADD_CFLAGS)
#LIBS       = -lcurses -lgen

###########################
# OSF1
###########################
#CFLAGS     = -DOSF1 $(ADD_CFLAGS)
#LIBS       = -lcurses

###########################
# HPUX
###########################
#CFLAGS     = -Dhpux $(ADD_CFLAGS)
#LIBS       = -lcurses  -lc -lPW
#CC	    = cc -Ae

###########################
# SGI IRIX Rel. 5.2
###########################
#CFLAGS     = -Dsgi $(ADD_CFLAGS)
#LIBS       = -lcurses -lgen

###########################
# Solaris 2
###########################
#CFLAGS     = $(ADD_CFLAGS) -DSVR4
#LIBS       = -lcurses -lc /usr/ucblib/libucb.a

###########################
# SUN
###########################
#CFLAGS     = $(ADD_CFLAGS)
#CC	    = acc -Xa -strconst -sys5
#LIBS       = -lcurses 

###########################
# SUN (gcc)
###########################
#CFLAGS     = $(ADD_CFLAGS)
#CC	    = gcc -I/usr/5include -L/usr/5lib
#LIBS       = -lcurses 

###########################
# IBM RS/6000 (Thanks to jum)
###########################
#CFLAGS     = $(ADD_CFLAGS)
#LIBS       = -lcurses -lPW

###########################
# ULTRIX V4.3
###########################
#CFLAGS     = -Dultrix $(ADD_CFLAGS)
#LIBS       = -lcursesX


##############################################################################


MAIN    = ytree
OBJS	= arc.o archive.o chgrp.o chmod.o chown.o clock.o color.o copy.o    \
	  delete.o dirwin.o disp.o edit.o error.o execute.o filespec.o      \
	  filewin.o freesp.o global.o group.o hex.o history.o init.o lha.o  \
	  login.o main.o match.o mkdir.o mktime.o move.o passwd.o pipe.o    \
	  print.o profile.o quit.o readtree.o rename.o rmdir.o rpm.o sort.o \
	  stat.o system.o tar.o termcap.o util.o view.o zip.o zoo.o

#

$(MAIN):	$(OBJS)
		$(CC) $(LFLAGS) -o $@ $(OBJS) $(LIBS)

install:	$(MAIN)
		cp $(MAIN) $(BINDIR)
		cp ytree.1 $(MANDIR)/$(MAIN).$(MANEXT)
		if ! [ -f $(HOME)/.ytree ]; \
		then \
		  cp ytree.conf $(HOME)/.ytree; \
		fi

clean:
		rm -f core *.o *~ *.orig *.bak

clobber:	clean
		rm -f $(MAIN)

version:
		ci -nytree-164PL0 -f -sRel -m"released as ytree-164PL0" *.c *.h Makefile *.1 \
		COPYING THANKS ytree.conf README ytree-1.64.lsm CHANGES


##################################################

arc.o: config.h ytree.h arc.c
archive.o: config.h ytree.h archive.c
chgrp.o: config.h ytree.h chgrp.c
chmod.o: config.h ytree.h chmod.c
chown.o: config.h ytree.h chown.c
color.o: config.h ytree.h color.c
copy.o: config.h ytree.h copy.c
delete.o: config.h ytree.h delete.c
dirwin.o: config.h ytree.h dirwin.c
disp.o: config.h ytree.h patchlev.h disp.c
edit.o: config.h ytree.h edit.c
error.o: config.h ytree.h error.c
execute.o: config.h ytree.h execute.c
filespec.o: config.h ytree.h filespec.c
filewin.o: config.h ytree.h filewin.c
freesp.o: config.h ytree.h freesp.c
global.o: config.h ytree.h global.c
group.o: config.h ytree.h group.c
hex.o: config.h ytree.h hex.c
history.o: config.h ytree.h history.c
init.o: config.h ytree.h init.c
lha.o: config.h ytree.h lha.c
login.o: config.h ytree.h login.c
main.o: config.h ytree.h main.c
match.o: config.h ytree.h match.c
mkdir.o: config.h ytree.h mkdir.c
mktime.o: config.h ytree.h mktime.c
move.o: config.h ytree.h move.c
passwd.o: config.h ytree.h passwd.c
pipe.o: config.h ytree.h pipe.c
print.o: ytree.h print.c config.h
profile.o: config.h ytree.h profile.c
quit.o: config.h ytree.h quit.c
readtree.o: config.h ytree.h readtree.c
rename.o: config.h ytree.h rename.c
rmdir.o: config.h ytree.h rmdir.c
rpm.o: config.h ytree.h rpm.c
sort.o: config.h ytree.h sort.c
stat.o: config.h ytree.h stat.c
system.o: config.h ytree.h system.c
tar.o: config.h ytree.h tar.c
termcap.o: config.h ytree.h termcap.c
util.o: config.h ytree.h util.c
view.o: config.h ytree.h view.c
zip.o: config.h ytree.h zip.c
zoo.o: config.h ytree.h zoo.c

## ytree 1.65

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ############################################################################
 #
-# $Header: /home/werner/ytree/RCS/Makefile,v 1.16 1998/07/26 21:21:13 werner Rel $
+# $Header: /home/werner/ytree/RCS/Makefile,v 1.18 1998/11/11 19:07:30 werner Exp $
 #
 # Makefile fuer ytree
 #
@@ -12,7 +12,7 @@
 # ADD_CFLAGS: Add -DVI_KEYS if you want vi-cursor-keys
 #
 
-ADD_CFLAGS  =  -O # -DVI_KEYS
+ADD_CFLAGS  = -O # -DVI_KEYS
 
 LFLAGS	    = -s
 BINDIR      = /usr/bin
@@ -39,12 +39,17 @@
 #LIBS       = -lcurses -ltermcap
 
 ###########################
-# FreeBSD with ncurses  (Thanks to Peter Brevik)
-###########################
-#ADD_INCLUDE = /usr/include/ncurses
-#ADD_LIB     = /usr/lib
-#CFLAGS      = -I$(ADD_INCLUDE) -DNCURSES $(ADD_CFLAGS)
-#LIBS        = -L$(ADD_LIB) -lncurses -lmytinfo -lcompat
+# FreeBSD (Thanks to Peter Brevik)
+###########################
+#CFLAGS      = -DCOLOR_SUPPORT -DNCURSES
+#LIBS        = -lncurses -lmytinfo -lcompat
+
+###########################
+# DOS/Windows with DJGPP
+###########################
+#CC          = gcc
+#CFLAGS      = $(ADD_CFLAGS) -DCOLOR_SUPPORT
+#LIBS        = -lpdc -lpanel
 
 ###########################
 # NeXT (Thanks to fifi)
@@ -81,6 +86,13 @@
 ###########################
 #CFLAGS     = -Dhpux $(ADD_CFLAGS)
 #LIBS       = -lcurses  -lc -lPW
+#CC	    = cc -Ae
+
+###########################
+# HPUX-10.x
+###########################
+#CFLAGS     = -Dhpux $(ADD_CFLAGS)
+#LIBS       = -lcur_colr  -lc -lPW
 #CC	    = cc -Ae
 
 ###########################
@@ -153,8 +165,8 @@
 		rm -f $(MAIN)
 
 version:
-		ci -nytree-164PL0 -f -sRel -m"released as ytree-164PL0" *.c *.h Makefile *.1 \
-		COPYING THANKS ytree.conf README ytree-1.64.lsm CHANGES
+		ci -nytree-165PL0 -f -sRel -m"released as ytree-165PL0" *.c *.h Makefile *.1 \
+		COPYING THANKS ytree.conf README ytree-1.65.lsm CHANGES
 
 
 ##################################################

## ytree 1.74

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ############################################################################
 #
-# $Header: /home/werner/ytree/RCS/Makefile,v 1.18 1998/11/11 19:07:30 werner Exp $
+# $Header: /usr/local/cvsroot/utils/ytree/Makefile,v 1.33 2001/06/15 16:36:36 werner Exp $
 #
 # Makefile fuer ytree
 #
@@ -12,31 +12,44 @@
 # ADD_CFLAGS: Add -DVI_KEYS if you want vi-cursor-keys
 #
 
+DESTDIR     = /usr
+
 ADD_CFLAGS  = -O # -DVI_KEYS
 
 LFLAGS	    = -s
-BINDIR      = /usr/bin
-MANDIR      = /usr/man/man1
-MANEXT      = 1
-
-
-# Uncomment the lines for your system
-
-###########################
-# LINUX with ncurses (testet with 4.1)
-###########################
-# If color doesn't work, comment out 
-# the following line and recompile
-COLOR       = -DCOLOR_SUPPORT
-#CLOCK	    = -DCLOCK_SUPPORT
+BINDIR      = $(DESTDIR)/bin
+MANDIR      = $(DESTDIR)/share/man/man1
+MANESDIR    = $(DESTDIR)/share/man/es/man1
+
+
+# Uncomment the lines for your system (default is linux)
+
+###########################
+# LINUX (testet with ncurses 5.2)
+###########################
+COLOR       = -DCOLOR_SUPPORT 
+#CLOCK	    = -DCLOCK_SUPPORT # Experimental!
 CFLAGS      = $(ADD_CFLAGS) $(COLOR) $(CLOCK)
 LIBS        = -lncurses
 
 ###########################
-# LINUX without ncurses
-###########################
-#CFLAGS     = -DTERMCAP $(ADD_CFLAGS)
-#LIBS       = -lcurses -ltermcap
+# LINUX (X11 using PDCurses) thanks to  Mark Hessling
+# see http://www.lightlink.com/hessling/
+###########################
+#COLOR       = -DCOLOR_SUPPORT -DXCURSES
+#CLOCK       = -DCLOCK_SUPPORT # Experimental!
+#CFLAGS      = $(ADD_CFLAGS) $(COLOR) $(CLOCK)
+#LIBS        = -lXCurses -L/usr/X11R6/lib -lXaw -lXmu -lXt -lX11 -lSM -lICE -lXext
+
+###########################
+# The Hurd (GNU) (testet with ncurses 5.0)
+###########################
+#COLOR       = -DCOLOR_SUPPORT
+##CLOCK      = -DCLOCK_SUPPORT # Experimental!
+#CFLAGS      = $(ADD_CFLAGS) $(COLOR) $(CLOCK)
+#LIBS        = -lncurses
+
+
 
 ###########################
 # FreeBSD (Thanks to Peter Brevik)
@@ -63,6 +76,15 @@
 #CFLAGS     = -DSVR3 $(ADD_CFLAGS)
 #LIBS       = -lcurses -lPW # -lc_s
 
+############################
+# SCO OpenServer "SCO_SV s90909 3.2 5.0.5 i386" (Thanks to BKS)
+############################
+#CFLAGS     = -DSVR3 $(ADD_CFLAGS) $(COLOR) $(CLOCK) $(ADD_INCL)
+#LFLAGS     = -L/usr/local/bks-V3_SCO/ncurses-5.0-elf/lib -belf
+#ADD_INCL   = -I/usr/local/bks-V3_SCO/ncurses-5.0-elf/include
+#COLOR      = -DCOLOR_SUPPORT
+#LIBS       = -lncurses 
+
 ###########################
 # Interactive
 ###########################
@@ -122,6 +144,13 @@
 #LIBS       = -lcurses 
 
 ###########################
+# SUNOS 5.6 (gcc) Thanks to Fabiano Silos Reis
+###########################
+#CFLAGS     = $(ADD_CFLAGS) -Dsun56
+#CC	    = gcc -I/usr/include -L/usr/lib
+#LIBS       = -lcurses 
+
+###########################
 # IBM RS/6000 (Thanks to jum)
 ###########################
 #CFLAGS     = $(ADD_CFLAGS)
@@ -132,6 +161,14 @@
 ###########################
 #CFLAGS     = -Dultrix $(ADD_CFLAGS)
 #LIBS       = -lcursesX
+
+###########################
+# QNX (tested with ncurses 4.2)
+###########################
+#COLOR       = -DCOLOR_SUPPORT
+#CLOCK	    = -DCLOCK_SUPPORT # Experimental!
+#CFLAGS      = $(ADD_CFLAGS) $(COLOR) $(CLOCK) -DHAS_REGCOMP
+#LIBS        = -L/home/mhes/lib -lncurses
 
 
 ##############################################################################
@@ -142,8 +179,8 @@
 	  delete.o dirwin.o disp.o edit.o error.o execute.o filespec.o      \
 	  filewin.o freesp.o global.o group.o hex.o history.o init.o lha.o  \
 	  login.o main.o match.o mkdir.o mktime.o move.o passwd.o pipe.o    \
-	  print.o profile.o quit.o readtree.o rename.o rmdir.o rpm.o sort.o \
-	  stat.o system.o tar.o termcap.o util.o view.o zip.o zoo.o
+	  print.o profile.o quit.o rar.o readtree.o rename.o rmdir.o rpm.o  \
+	  sort.o stat.o system.o tar.o termcap.o usermode.o util.o view.o zip.o zoo.o
 
 #
 
@@ -151,22 +188,17 @@
 		$(CC) $(LFLAGS) -o $@ $(OBJS) $(LIBS)
 
 install:	$(MAIN)
-		cp $(MAIN) $(BINDIR)
-		cp ytree.1 $(MANDIR)/$(MAIN).$(MANEXT)
-		if ! [ -f $(HOME)/.ytree ]; \
-		then \
-		  cp ytree.conf $(HOME)/.ytree; \
-		fi
+		install $(MAIN) $(BINDIR)
+		gzip -9c ytree.1 > ytree.1.gz
+		if [ -d $(MANDIR) ]; then install -m 0644 ytree.1.gz  $(MANDIR)/; fi
+		gzip -9c ytree.1.es > ytree.1.es.gz
+		if [ -d $(MANESDIR) ]; then install -m 0644 ytree.1.es.gz $(MANESDIR)/; fi
 
 clean:
-		rm -f core *.o *~ *.orig *.bak
-
+		rm -f core *.o *~ *.orig *.bak 
+		
 clobber:	clean
-		rm -f $(MAIN)
-
-version:
-		ci -nytree-165PL0 -f -sRel -m"released as ytree-165PL0" *.c *.h Makefile *.1 \
-		COPYING THANKS ytree.conf README ytree-1.65.lsm CHANGES
+		rm -f $(MAIN) ytree.1.es.gz ytree.1.gz
 
 
 ##################################################
@@ -204,6 +236,7 @@
 print.o: ytree.h print.c config.h
 profile.o: config.h ytree.h profile.c
 quit.o: config.h ytree.h quit.c
+rar.o: config.h ytree.h rar.c
 readtree.o: config.h ytree.h readtree.c
 rename.o: config.h ytree.h rename.c
 rmdir.o: config.h ytree.h rmdir.c
@@ -213,6 +246,7 @@
 system.o: config.h ytree.h system.c
 tar.o: config.h ytree.h tar.c
 termcap.o: config.h ytree.h termcap.c
+usermode.o: config.h ytree.h usermode.c
 util.o: config.h ytree.h util.c
 view.o: config.h ytree.h view.c
 zip.o: config.h ytree.h zip.c

## ytree 1.79

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ############################################################################
 #
-# $Header: /usr/local/cvsroot/utils/ytree/Makefile,v 1.33 2001/06/15 16:36:36 werner Exp $
+# $Header: /usr/local/cvsroot/utils/ytree/Makefile,v 1.36 2003/08/31 11:11:00 werner Exp $
 #
 # Makefile fuer ytree
 #
@@ -16,7 +16,7 @@
 
 ADD_CFLAGS  = -O # -DVI_KEYS
 
-LFLAGS	    = -s
+LFLAGS	    = 
 BINDIR      = $(DESTDIR)/bin
 MANDIR      = $(DESTDIR)/share/man/man1
 MANESDIR    = $(DESTDIR)/share/man/es/man1
@@ -26,11 +26,24 @@
 
 ###########################
 # LINUX (testet with ncurses 5.2)
+# Attention Slackware users: 
+#           Maybe you have to change the MANDIR to $(DESTDIR)/man/man1
 ###########################
 COLOR       = -DCOLOR_SUPPORT 
 #CLOCK	    = -DCLOCK_SUPPORT # Experimental!
-CFLAGS      = $(ADD_CFLAGS) $(COLOR) $(CLOCK)
-LIBS        = -lncurses
+READLINE    = -DREADLINE_SUPPORT
+CFLAGS      = $(ADD_CFLAGS) $(COLOR) $(CLOCK) $(READLINE)
+LIBS        = -lncurses -lreadline
+
+###########################
+# LINUX without libreadline (testet with ncurses 5.2)
+# Attention Slackware users: 
+#           Maybe you have to change the MANDIR to $(DESTDIR)/man/man1
+###########################
+#COLOR       = -DCOLOR_SUPPORT 
+#CLOCK	     = -DCLOCK_SUPPORT # Experimental!
+#CFLAGS      = $(ADD_CFLAGS) $(COLOR) $(CLOCK)
+#LIBS        = -lncurses
 
 ###########################
 # LINUX (X11 using PDCurses) thanks to  Mark Hessling
@@ -49,6 +62,16 @@
 #CFLAGS      = $(ADD_CFLAGS) $(COLOR) $(CLOCK)
 #LIBS        = -lncurses
 
+###########################
+# OpenBSD 2.9 (not tested on earlier revisions)
+###########################
+#COLOR       = -DCOLOR_SUPPORT 
+#CLOCK	    = -DCLOCK_SUPPORT # Experimental!
+#CFLAGS      = -Dopenbsd=1 $(ADD_CFLAGS) $(COLOR) $(CLOCK)
+#LIBS        = -lcurses -lcompat
+#MANDIR = /usr/share/man/man1
+#MANESDIR = /nonexistent
+#BINDIR = /usr/local/bin
 
 
 ###########################
@@ -177,10 +200,10 @@
 MAIN    = ytree
 OBJS	= arc.o archive.o chgrp.o chmod.o chown.o clock.o color.o copy.o    \
 	  delete.o dirwin.o disp.o edit.o error.o execute.o filespec.o      \
-	  filewin.o freesp.o global.o group.o hex.o history.o init.o lha.o  \
+	  filewin.o freesp.o global.o group.o hex.o history.o init.o input.o keyhtab.o lha.o  \
 	  login.o main.o match.o mkdir.o mktime.o move.o passwd.o pipe.o    \
 	  print.o profile.o quit.o rar.o readtree.o rename.o rmdir.o rpm.o  \
-	  sort.o stat.o system.o tar.o termcap.o usermode.o util.o view.o zip.o zoo.o
+	  sort.o stat.o system.o tar.o termcap.o tilde.o usermode.o util.o view.o xmalloc.o zip.o zoo.o
 
 #
 
@@ -224,6 +247,8 @@
 hex.o: config.h ytree.h hex.c
 history.o: config.h ytree.h history.c
 init.o: config.h ytree.h init.c
+input.o: config.h ytree.h tilde.h xmalloc.h input.c
+keyhtab.o: config.h ytree.h keyhtab.c
 lha.o: config.h ytree.h lha.c
 login.o: config.h ytree.h login.c
 main.o: config.h ytree.h main.c
@@ -246,9 +271,10 @@
 system.o: config.h ytree.h system.c
 tar.o: config.h ytree.h tar.c
 termcap.o: config.h ytree.h termcap.c
+tilde.o: config.h xmalloc.h tilde.h tilde.c
 usermode.o: config.h ytree.h usermode.c
 util.o: config.h ytree.h util.c
 view.o: config.h ytree.h view.c
+xmalloc.o: config.h ytree.h xmalloc.h xmalloc.c
 zip.o: config.h ytree.h zip.c
 zoo.o: config.h ytree.h zoo.c
-

## ytree 1.82

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ############################################################################
 #
-# $Header: /usr/local/cvsroot/utils/ytree/Makefile,v 1.36 2003/08/31 11:11:00 werner Exp $
+# $Header: /usr/local/cvsroot/utils/ytree/Makefile,v 1.40 2004/11/13 21:11:21 werner Exp $
 #
 # Makefile fuer ytree
 #
@@ -25,7 +25,7 @@
 # Uncomment the lines for your system (default is linux)
 
 ###########################
-# LINUX (testet with ncurses 5.2)
+# LINUX (testet with ncurses 5.3)
 # Attention Slackware users: 
 #           Maybe you have to change the MANDIR to $(DESTDIR)/man/man1
 ###########################
@@ -81,6 +81,12 @@
 #LIBS        = -lncurses -lmytinfo -lcompat
 
 ###########################
+# MAC OS X
+###########################
+#CFLAGS      = -DCOLOR_SUPPORT -DNCURSES
+#LIBS        = -lncurses 
+
+###########################
 # DOS/Windows with DJGPP
 ###########################
 #CC          = gcc
@@ -150,7 +156,7 @@
 # Solaris 2
 ###########################
 #CFLAGS     = $(ADD_CFLAGS) -DSVR4
-#LIBS       = -lcurses -lc /usr/ucblib/libucb.a
+#LIBS       = -lcurses 
 
 ###########################
 # SUN

## ytree 1.86

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ############################################################################
 #
-# $Header: /usr/local/cvsroot/utils/ytree/Makefile,v 1.40 2004/11/13 21:11:21 werner Exp $
+# $Header: /usr/local/cvsroot/utils/ytree/Makefile,v 1.45 2005/09/07 18:50:33 werner Exp $
 #
 # Makefile fuer ytree
 #
@@ -25,15 +25,25 @@
 # Uncomment the lines for your system (default is linux)
 
 ###########################
-# LINUX (testet with ncurses 5.3)
+# LINUX (testet with ncurses 5.4)
 # Attention Slackware users: 
 #           Maybe you have to change the MANDIR to $(DESTDIR)/man/man1
 ###########################
 COLOR       = -DCOLOR_SUPPORT 
 #CLOCK	    = -DCLOCK_SUPPORT # Experimental!
 READLINE    = -DREADLINE_SUPPORT
-CFLAGS      = $(ADD_CFLAGS) $(COLOR) $(CLOCK) $(READLINE)
+CFLAGS      = -D_GNU_SOURCE $(ADD_CFLAGS) $(COLOR) $(CLOCK) $(READLINE)
 LIBS        = -lncurses -lreadline
+
+###########################
+# LINUX with Wide character support (testet with ncurses 5.4)
+# Requires libncursesw!
+###########################
+#COLOR       = -DCOLOR_SUPPORT 
+##CLOCK	    = -DCLOCK_SUPPORT # Experimental!
+#READLINE    = -DREADLINE_SUPPORT
+#CFLAGS      = -D_GNU_SOURCE -DWITH_UTF8 $(ADD_CFLAGS) $(COLOR) $(CLOCK) $(READLINE)
+#LIBS        = -lncursesw -lreadline
 
 ###########################
 # LINUX without libreadline (testet with ncurses 5.2)

## ytree 1.90

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,12 @@
 ############################################################################
 #
-# $Header: /usr/local/cvsroot/utils/ytree/Makefile,v 1.45 2005/09/07 18:50:33 werner Exp $
+# $Header: /usr/local/cvsroot/utils/ytree/Makefile,v 1.50 2007/06/04 16:59:27 werner Exp $
 #
 # Makefile fuer ytree
 #
 ############################################################################
 
+
 CC          = cc
 
 #
@@ -16,7 +17,6 @@
 
 ADD_CFLAGS  = -O # -DVI_KEYS
 
-LFLAGS	    = 
 BINDIR      = $(DESTDIR)/bin
 MANDIR      = $(DESTDIR)/share/man/man1
 MANESDIR    = $(DESTDIR)/share/man/es/man1
@@ -25,15 +25,15 @@
 # Uncomment the lines for your system (default is linux)
 
 ###########################
-# LINUX (testet with ncurses 5.4)
+# LINUX (testet with ncurses 5.6)
 # Attention Slackware users: 
 #           Maybe you have to change the MANDIR to $(DESTDIR)/man/man1
 ###########################
 COLOR       = -DCOLOR_SUPPORT 
-#CLOCK	    = -DCLOCK_SUPPORT # Experimental!
+CLOCK	    = -DCLOCK_SUPPORT # Experimental!
 READLINE    = -DREADLINE_SUPPORT
 CFLAGS      = -D_GNU_SOURCE $(ADD_CFLAGS) $(COLOR) $(CLOCK) $(READLINE)
-LIBS        = -lncurses -lreadline
+LDFLAGS     = -lncurses -lreadline
 
 ###########################
 # LINUX with Wide character support (testet with ncurses 5.4)
@@ -43,7 +43,7 @@
 ##CLOCK	    = -DCLOCK_SUPPORT # Experimental!
 #READLINE    = -DREADLINE_SUPPORT
 #CFLAGS      = -D_GNU_SOURCE -DWITH_UTF8 $(ADD_CFLAGS) $(COLOR) $(CLOCK) $(READLINE)
-#LIBS        = -lncursesw -lreadline
+#LDFLAGS     = -lncursesw -lreadline
 
 ###########################
 # LINUX without libreadline (testet with ncurses 5.2)
@@ -53,7 +53,7 @@
 #COLOR       = -DCOLOR_SUPPORT 
 #CLOCK	     = -DCLOCK_SUPPORT # Experimental!
 #CFLAGS      = $(ADD_CFLAGS) $(COLOR) $(CLOCK)
-#LIBS        = -lncurses
+#LDFLAGS     = -lncurses
 
 ###########################
 # LINUX (X11 using PDCurses) thanks to  Mark Hessling
@@ -62,7 +62,7 @@
 #COLOR       = -DCOLOR_SUPPORT -DXCURSES
 #CLOCK       = -DCLOCK_SUPPORT # Experimental!
 #CFLAGS      = $(ADD_CFLAGS) $(COLOR) $(CLOCK)
-#LIBS        = -lXCurses -L/usr/X11R6/lib -lXaw -lXmu -lXt -lX11 -lSM -lICE -lXext
+#LDFLAGS     = -lXCurses -L/usr/X11R6/lib -lXaw -lXmu -lXt -lX11 -lSM -lICE -lXext
 
 ###########################
 # The Hurd (GNU) (testet with ncurses 5.0)
@@ -70,136 +70,134 @@
 #COLOR       = -DCOLOR_SUPPORT
 ##CLOCK      = -DCLOCK_SUPPORT # Experimental!
 #CFLAGS      = $(ADD_CFLAGS) $(COLOR) $(CLOCK)
-#LIBS        = -lncurses
-
-###########################
-# OpenBSD 2.9 (not tested on earlier revisions)
+#LDFLAGS     = -lncurses
+
+###########################
+# OpenBSD / NetBSD
 ###########################
 #COLOR       = -DCOLOR_SUPPORT 
-#CLOCK	    = -DCLOCK_SUPPORT # Experimental!
-#CFLAGS      = -Dopenbsd=1 $(ADD_CFLAGS) $(COLOR) $(CLOCK)
-#LIBS        = -lcurses -lcompat
-#MANDIR = /usr/share/man/man1
-#MANESDIR = /nonexistent
-#BINDIR = /usr/local/bin
+##CLOCK	     = -DCLOCK_SUPPORT # Experimental!
+#READLINE    = -DREADLINE_SUPPORT
+#CFLAGS      = $(ADD_CFLAGS) $(COLOR) $(CLOCK)
+#LDFLAGS     = -lcurses -lcompat -ledit
+#MANDIR      = /usr/share/man/man1
+#BINDIR      = /usr/local/bin
 
 
 ###########################
 # FreeBSD (Thanks to Peter Brevik)
 ###########################
 #CFLAGS      = -DCOLOR_SUPPORT -DNCURSES
-#LIBS        = -lncurses -lmytinfo -lcompat
+#LDFLAGS     = -lncurses -lmytinfo -lcompat
 
 ###########################
 # MAC OS X
 ###########################
 #CFLAGS      = -DCOLOR_SUPPORT -DNCURSES
-#LIBS        = -lncurses 
+#LDFLAGS     = -lncurses 
 
 ###########################
 # DOS/Windows with DJGPP
 ###########################
 #CC          = gcc
 #CFLAGS      = $(ADD_CFLAGS) -DCOLOR_SUPPORT
-#LIBS        = -lpdc -lpanel
+#LDFLAGS     = -lpdc -lpanel
 
 ###########################
 # NeXT (Thanks to fifi)
 ###########################
 #CFLAGS     = -DTERMCAP $(ADD_CFLAGS)
-#LIBS       = -lcurses -ltermcap
+#LDFLAGS    = -lcurses -ltermcap
 
 ############################
 # UNIX SVR3 (or SCO3.2v4.2)
 ############################
 #CFLAGS     = -DSVR3 $(ADD_CFLAGS)
-#LIBS       = -lcurses -lPW # -lc_s
+#LDFLAGS    = -lcurses -lPW # -lc_s
 
 ############################
 # SCO OpenServer "SCO_SV s90909 3.2 5.0.5 i386" (Thanks to BKS)
 ############################
-#CFLAGS     = -DSVR3 $(ADD_CFLAGS) $(COLOR) $(CLOCK) $(ADD_INCL)
-#LFLAGS     = -L/usr/local/bks-V3_SCO/ncurses-5.0-elf/lib -belf
-#ADD_INCL   = -I/usr/local/bks-V3_SCO/ncurses-5.0-elf/include
+#CFLAGS     = -DSVR3 $(ADD_CFLAGS) $(COLOR) $(CLOCK) -I/usr/local/bks-V3_SCO/ncurses-5.0-elf/include
 #COLOR      = -DCOLOR_SUPPORT
-#LIBS       = -lncurses 
+#LDFLAGS    = -lncurses -L/usr/local/bks-V3_SCO/ncurses-5.0-elf/lib -belf
 
 ###########################
 # Interactive
 ###########################
 #CFLAGS     = -DSVR3 -Disc386 $(ADD_CFLAGS)
-#LIBS       = -lcurses -lPW
+#LDFLAGS    = -lcurses -lPW
 
 ###########################
 # UNIX SVR4
 ###########################
 #CFLAGS     = -DSVR4 $(ADD_CFLAGS)
-#LIBS       = -lcurses -lgen
+#LDFLAGS    = -lcurses -lgen
 
 ###########################
 # OSF1
 ###########################
 #CFLAGS     = -DOSF1 $(ADD_CFLAGS)
-#LIBS       = -lcurses
+#LDFLAGS    = -lcurses
 
 ###########################
 # HPUX
 ###########################
 #CFLAGS     = -Dhpux $(ADD_CFLAGS)
-#LIBS       = -lcurses  -lc -lPW
+#LDFLAGS    = -lcurses  -lc -lPW
 #CC	    = cc -Ae
 
 ###########################
 # HPUX-10.x
 ###########################
 #CFLAGS     = -Dhpux $(ADD_CFLAGS)
-#LIBS       = -lcur_colr  -lc -lPW
+#LDFLAGS    = -lcur_colr  -lc -lPW
 #CC	    = cc -Ae
 
 ###########################
 # SGI IRIX Rel. 5.2
 ###########################
 #CFLAGS     = -Dsgi $(ADD_CFLAGS)
-#LIBS       = -lcurses -lgen
+#LDFLAGS    = -lcurses -lgen
 
 ###########################
 # Solaris 2
 ###########################
 #CFLAGS     = $(ADD_CFLAGS) -DSVR4
-#LIBS       = -lcurses 
+#LDFLAGS    = -lcurses 
 
 ###########################
 # SUN
 ###########################
 #CFLAGS     = $(ADD_CFLAGS)
 #CC	    = acc -Xa -strconst -sys5
-#LIBS       = -lcurses 
+#LDFLAGS    = -lcurses 
 
 ###########################
 # SUN (gcc)
 ###########################
 #CFLAGS     = $(ADD_CFLAGS)
 #CC	    = gcc -I/usr/5include -L/usr/5lib
-#LIBS       = -lcurses 
+#LDFLAGS    = -lcurses 
 
 ###########################
 # SUNOS 5.6 (gcc) Thanks to Fabiano Silos Reis
 ###########################
 #CFLAGS     = $(ADD_CFLAGS) -Dsun56
 #CC	    = gcc -I/usr/include -L/usr/lib
-#LIBS       = -lcurses 
+#LDFLAGS    = -lcurses 
 
 ###########################
 # IBM RS/6000 (Thanks to jum)
 ###########################
 #CFLAGS     = $(ADD_CFLAGS)
-#LIBS       = -lcurses -lPW
+#LDFLAGS    = -lcurses -lPW
 
 ###########################
 # ULTRIX V4.3
 ###########################
 #CFLAGS     = -Dultrix $(ADD_CFLAGS)
-#LIBS       = -lcursesX
+#LDFLAGS    = -lcursesX
 
 ###########################
 # QNX (tested with ncurses 4.2)
@@ -207,7 +205,7 @@
 #COLOR       = -DCOLOR_SUPPORT
 #CLOCK	    = -DCLOCK_SUPPORT # Experimental!
 #CFLAGS      = $(ADD_CFLAGS) $(COLOR) $(CLOCK) -DHAS_REGCOMP
-#LIBS        = -L/home/mhes/lib -lncurses
+#LDFLAGS     = -L/home/mhes/lib -lncurses
 
 
 ##############################################################################
@@ -224,7 +222,7 @@
 #
 
 $(MAIN):	$(OBJS)
-		$(CC) $(LFLAGS) -o $@ $(OBJS) $(LIBS)
+		$(CC) $(LFLAGS) -o $@ $(OBJS) $(LDFLAGS)
 
 install:	$(MAIN)
 		install $(MAIN) $(BINDIR)

## ytree 1.93

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ############################################################################
 #
-# $Header: /usr/local/cvsroot/utils/ytree/Makefile,v 1.50 2007/06/04 16:59:27 werner Exp $
+# $Header: /usr/local/cvsroot/utils/ytree/Makefile,v 1.51 2008/07/24 17:43:04 werner Exp $
 #
 # Makefile fuer ytree
 #
@@ -100,8 +100,8 @@
 # DOS/Windows with DJGPP
 ###########################
 #CC          = gcc
-#CFLAGS      = $(ADD_CFLAGS) -DCOLOR_SUPPORT
-#LDFLAGS     = -lpdc -lpanel
+#CFLAGS      = $(ADD_CFLAGS) $(COLOR)
+#LDFLAGS     = -lpdcurses -lpanel -lreadline
 
 ###########################
 # NeXT (Thanks to fifi)

## ytree 1.94

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,13 @@
 ############################################################################
 #
-# $Header: /usr/local/cvsroot/utils/ytree/Makefile,v 1.51 2008/07/24 17:43:04 werner Exp $
+# $Header: /usr/local/cvsroot/utils/ytree/Makefile,v 1.52 2010/02/28 13:11:53 werner Exp $
 #
 # Makefile fuer ytree
 #
 ############################################################################
 
 
-CC          = cc
+CC          ?= cc
 
 #
 # ADD_CFLAGS: Add -DVI_KEYS if you want vi-cursor-keys
@@ -32,8 +32,8 @@
 COLOR       = -DCOLOR_SUPPORT 
 CLOCK	    = -DCLOCK_SUPPORT # Experimental!
 READLINE    = -DREADLINE_SUPPORT
-CFLAGS      = -D_GNU_SOURCE $(ADD_CFLAGS) $(COLOR) $(CLOCK) $(READLINE)
-LDFLAGS     = -lncurses -lreadline
+CFLAGS      += -D_GNU_SOURCE $(COLOR) $(CLOCK) $(READLINE)
+LDFLAGS     += -lncurses -lreadline
 
 ###########################
 # LINUX with Wide character support (testet with ncurses 5.4)

=== debian/changelog ===
ytree (1.94-2) unstable; urgency=low

  * Acknowledge NMU. 
  * Changed short description in debian/control.
  * Fix to remove timestamps from build systems in debian/rules.
    Closes: #777273.

 -- Kevin Coyner <kcoyner@debian.org>  Sun, 23 Oct 2016 15:52:20 -0400

ytree (1.94-1.1) unstable; urgency=low

  * NMU
  * Specify a path to curses.h to fix FTBFS. Closes: #650600

 -- Steve McIntyre <steve.mcintyre@linaro.org>  Thu, 15 Dec 2011 16:34:49 +0000

ytree (1.94-1) unstable; urgency=low

  * New upstream release. 
  * Updated Standards-Version to 3.8.4. Changed to 3.0 quilt format.
  * Changed reference to ytree-1.9x.lsm file in debian/docs.
  * Updated 01_makefile.diff and 03_manpages.diff in debian/patches.
  * Switch to dpkg-source 3.0 (quilt) format with appropriate changes to
    debian/rules. Removed debian/README.source file. Added
    debian/source/format file.

 -- Kevin Coyner <kcoyner@debian.org>  Wed, 16 Jun 2010 12:55:36 +0000

ytree (1.93-2) unstable; urgency=low

  * Changed Build-Depends to libreadline-dev. Closes: #553885. 
  * Unable to duplicate ytree crashing with a SIGSEGV when enter is pressed.
    Closes: #534378.
  * Added descriptions to existing patches.
  * Small formatting edits to debian/changelog.
  * Grammatical change in long description in debian/control.

 -- Kevin Coyner <kcoyner@debian.org>  Tue, 03 Nov 2009 11:48:04 -0500

ytree (1.93-1) unstable; urgency=low

  * New upstream release. 
  * debian/control:
    + Updated Standards-Version to 3.8.3.
    + Bumped debhelper to version 7.4~.
    + Added ${misc:Depends}.
  * Added debian/README.source.
  * Bumped debian/compat to 7 from 5.
  * Updated debian/docs to reflect new file ytree-1.93.lsm.
  * Cleaned up debian/rules to reflect debhelper version 7.

 -- Kevin Coyner <kcoyner@debian.org>  Sat, 24 Oct 2009 21:56:27 -0400

ytree (1.92-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Updated Standards-Version to 3.8.0.
    + Cleaned up long description.
  * Modified README.Debian.
  * Updated watchfile to version 3 and removed cruft.
  * Updated debian/docs list for current version.

 -- Kevin Coyner <kcoyner@debian.org>  Sun, 05 Oct 2008 18:49:18 -0400

ytree (1.90-2) unstable; urgency=low

  * New maintainer. Closes: #474975.
  * Added homepage to debian/control.

 -- Kevin Coyner <kcoyner@debian.org>  Wed, 09 Apr 2008 22:13:05 -0400

ytree (1.90-1) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>
  * New upstream release.
  * Improve debian/copyright file.
  * Clean debian/rules.
  * Add quilt patch system.
    + Move old source changes to patches.
    + 01_makefile.diff - Update paths and enable wide readline support.
    + 02_profile.diff - Run mailcap on USERVIEW.
    + 03_manpages - Fix typos, hyphens, and manpage section.

 -- Barry deFreese <bddebian@comcast.net>  Tue, 08 Apr 2008 13:58:28 -0400

ytree (1.86-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix double-build FTBFS by removing “*.gz ytree” through the dh_clean
    call in the clean target, workaround needed because of the
    insufficient upstream Makefile. Closes: #442776.
  * Bump debhelper compatibility from 1 to 5 (!):
     - Move it from debian/rules to debian/compat.
     - Bump the B-D on debhelper.
     - Use debian/ytree/usr instead of debian/tmp/usr in the “make
       install” call.
  * No longer ignore “make clean” errors (only remove the leading dash).
  * Bump Standards-Version from 3.6.1 to 3.7.3, no changes needed.
  * Menu transition, from “Apps/Tools” to “Applications/File Management”.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Wed, 27 Feb 2008 05:05:24 +0100

ytree (1.86-1) unstable; urgency=low

  * New upstream release.

 -- Carlos Barros <cbf@debian.org>  Wed, 10 May 2006 20:07:51 +0200

ytree (1.82-1) unstable; urgency=low

  * Closes: #99152:  hurd-i386 maintainers please, update this package.
  * Closes: #200429: It is fixed  this security breach.
  * Closes: #263773: this is the new upstream version.

 -- Carlos Barros <cbf@debian.org>  Sun, 28 Nov 2004 19:07:51 +0100

ytree (1.80-1) unstable; urgency=low

  * New upstream release.
  * Change COMPAT version. Closes: Bug#260555.

 -- Carlos Barros <cbf@debian.org>  Tue, 21 Oct 2003 13:16:38 +0000

ytree (1.79-2) unstable; urgency=low

  * Add build-depends on libreadline4-dev. Closes: Bug#216815.

 -- Carlos Barros <cbf@debian.org>  Tue, 21 Oct 2003 13:16:38 +0000

ytree (1.79-1) unstable; urgency=low

  * New upstream version. Closes: Bug#216752.
  * Include some sort of hex editor.
  * Now the license change to GPLv2.

 -- Carlos Barros <cbf@debian.org>  Tue,  3 Jul 2001 20:57:31 -0300

ytree (1.75-1) unstable; urgency=low

  * New upstream version.
  * Include internal hex viewer.

 -- Carlos Barros <cbf@debian.org>  Tue,  3 Jul 2001 20:57:31 -0300

ytree (1.74-2) unstable; urgency=low

  * I did close the wrong bug, now it close the right one. Closes: Bug#99152.

 -- Carlos Barros <cbf@debian.org>  Tue,  3 Jul 2001 20:57:31 -0300

ytree (1.74-1) unstable; urgency=low

  * New upstream source.
  * It has the patch from #99154. Closes: Bug#99154.

 -- Carlos Barros <cbf@debian.org>  Thu, 14 Jun 2001 22:37:51 -0300

ytree (1.72-1) unstable; urgency=low

  * New upstream source
  * Added Show All Tagged

 -- Carlos Barros <cbf@debian.org>  Tue, 13 Mar 2001 22:00:26 -0300

ytree (1.71-1) unstable; urgency=low

  * New upstream source

 -- Carlos Barros <cbf@debian.org>  Tue, 19 Dec 2000 23:15:17 +0000

ytree (1.65-6) frozen unstable; urgency=low

  * Upload to unstable instead of woody.

 -- Carlos Barros <cbf@debian.org>  Tue, 19 Dec 2000 23:14:29 +0000

ytree (1.65-5) frozen woody; urgency=low

  * A better Description, closes #57302
  * upload also to woody.

 -- Carlos Barros <cbf@debian.org>  Thu, 10 Feb 2000 11:04:03 -0300

ytree (1.65-4) frozen; urgency=low

  * rebuild with correct date.



=== debian/control ===
Source: ytree
Section: utils
Priority: optional
Maintainer: Kevin Coyner <kcoyner@debian.org>
Build-Depends: debhelper (>= 7.4~), quilt (>= 0.46-7~), libncursesw5-dev, libreadline-dev
Standards-Version: 3.8.4
Homepage: http://www.han.de/~werner/ytree.html

Package: ytree
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: mime-support
Description: File manager for terminals
 This is a file manager that separates files from directories and allows you to
 select and manage files from different directories.  It works on black and
 white or color terminals and is UTF-8 locales aware.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh --with quilt $@

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean: clean-stamp
clean-stamp:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	# Workaround insufficient upstream Makefile
	dh_clean *.gz ytree

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/ytree/usr GZIP=-9n


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installinfo
	dh_installchangelogs CHANGES
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## ytree 1.99pl1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ############################################################################
 #
-# $Header: /usr/local/cvsroot/utils/ytree/Makefile,v 1.52 2010/02/28 13:11:53 werner Exp $
+# $Header: /usr/local/cvsroot/utils/ytree/Makefile,v 1.54 2012/09/11 16:40:02 werner Exp $
 #
 # Makefile fuer ytree
 #
@@ -30,9 +30,9 @@
 #           Maybe you have to change the MANDIR to $(DESTDIR)/man/man1
 ###########################
 COLOR       = -DCOLOR_SUPPORT 
-CLOCK	    = -DCLOCK_SUPPORT # Experimental!
+#CLOCK	    = -DCLOCK_SUPPORT # Experimental!
 READLINE    = -DREADLINE_SUPPORT
-CFLAGS      += -D_GNU_SOURCE $(COLOR) $(CLOCK) $(READLINE)
+CFLAGS      += -D_GNU_SOURCE $(COLOR) $(CLOCK) $(READLINE) $(ADD_CFLAGS)
 LDFLAGS     += -lncurses -lreadline
 
 ###########################
@@ -88,7 +88,7 @@
 # FreeBSD (Thanks to Peter Brevik)
 ###########################
 #CFLAGS      = -DCOLOR_SUPPORT -DNCURSES
-#LDFLAGS     = -lncurses -lmytinfo -lcompat
+#LDFLAGS     = -lncurses -lcompat
 
 ###########################
 # MAC OS X

=== debian/changelog ===
ytree (1.99pl1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch from Sven Joachim to fix FTBFS with newer ncurses.
    (Closes: #995480)

 -- Adrian Bunk <bunk@debian.org>  Wed, 08 Feb 2023 10:57:10 +0200

ytree (1.99pl1-2) unstable; urgency=medium

  * Upload to unstable.

 -- William Grzybowski <william@grzy.org>  Sun, 07 Jul 2019 12:24:40 -0300

ytree (1.99pl1-1) experimental; urgency=medium

  * New upstream release (Closes: #687787, #689024).
  * New maintainer. (Closes: #929555)
  * Add auto pkg test.
  * Add clean file.
  * Add yml for Salsa CI.
  * Add upstream metadata file.
  * debian/changelog: remove trailing spaces.
  * debian/compat: remove file, no longer used in debhelper 12.
  * debian/control:
     - Add VCS links.
     - Adjust Description to equalize line size.
     - Remove quilt build dependency, no longer necessary.
     - Update Standards-Version to 4.3.0.
     - Use debhelper-compat (12).
  * debian/copyright:
     - Add and update all debian maintainers.
     - Add license for mktime.c.
     - Add license for tilde.c, tilde.h, xmalloc.c and xmalloc.h.
     - Update copyright years for upstream maintainer.
     - Update to format 1.0.
  * debian/dirs: remove useless doc entry.
  * debian/docs: update to catch up upstream version in filename.
  * debian/patches:
     - 03_manpages.diff: fix typo in ytree.1 manpage.
     - Add headers to all patches.
     - Update 01_makefile.diff and 02_profile.diff with last upstream version.
  * debian/README.Debian: add header.
  * debian/rules:
     - Add hardening support.
     - Simplify and modernize.

 -- William Grzybowski <william@grzy.org>  Wed, 03 Jul 2019 09:32:40 -0300

=== debian/control ===
Source: ytree
Section: utils
Priority: optional
Maintainer: William Grzybowski <william@grzy.org>
Build-Depends: debhelper-compat (= 12), libncursesw5-dev, libreadline-dev
Standards-Version: 4.3.0
Homepage: http://www.han.de/~werner/ytree.html
Vcs-Browser: https://salsa.debian.org/wg-guest/ytree
Vcs-Git: https://salsa.debian.org/wg-guest/ytree.git

Package: ytree
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: mime-support
Description: File manager for terminals
 This is a file manager that separates files from directories and allows
 you to select and manage files from different directories. It works
 on black and white or color terminals and is UTF-8 locales aware.

=== debian/tests/control ===
Test-Command: ytree --invalid | grep -q Usage:
